---
layout: home
title: Home
---

### Why
HTML has CSS, Unix-like shells have ANSI/VT100 Control Sequences. SHML makes is easy to apply style to your shell scripts without trying to remember that **yellow** is `\033[33m` instead it's `$(color yellow)`.

### 1-liner Installs
```bash
# Linux or Darwin w/o Homebrew installed
$ sudo bash -c 'curl -L https://raw.githubusercontent.com/maxcdn/shml/latest/shml.sh -o /usr/local/bin/shml && chmod +x /usr/local/bin/shml'

# Darwin with Homebrew installed
$ curl -L https://raw.githubusercontent.com/maxcdn/shml/latest/shml.sh -o /usr/local/bin/shml && chmod +x /usr/local/bin/shml

# NPM
$ npm install -g shml
```
<div align="center">
<small>Currently v{{site.version}}
<br><a href="getting-started/">Please be responsible &amp; RTFM</a>
</small>
<br><br>
<iframe src="slideshow.html" width="100%" height="250" frameborder="0"></iframe>
<br><br><center><a href="http://code.runnable.com/u/jdorfman" target="_blank"><img src="public/images/demo-on-runnable.png" border="0"></a></center>
</div>
<hr>
<div align="center">
<small>
Designed and built by [@jdorfman](https://twitter.com/jdorfman) and [@mervinej](https://twitter.com/mervinej).<br>
Code licensed under [MIT](https://github.com/MaxCDN/shml/blob/master/LICENSE), documentation under [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/).
</small>
</div>
